org.eclipse.pde.core.target

## Class LoadTargetDefinitionJob

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - org.eclipse.core.internal.jobs.InternalJob
    - - org.eclipse.core.runtime.jobs.Job
      - - org.eclipse.core.internal.resources.InternalWorkspaceJob
        - - org.eclipse.core.resources.WorkspaceJob
          - - org.eclipse.pde.core.target.LoadTargetDefinitionJob

All Implemented Interfaces:
  Comparable, IAdaptable

    public class LoadTargetDefinitionJob
    extends WorkspaceJob

Sets the current target platform based on a target definition.

Since:
  3.8

### Field Summary

### Fields inherited from class org.eclipse.core.runtime.jobs.Job

`ASYNC_FINISH, BUILD, DECORATE, INTERACTIVE, LONG, NONE, RUNNING, SHORT, SLEEPING, WAITING`

### Fields inherited from class org.eclipse.core.internal.jobs.InternalJob

`manager`

### Constructor Summary

Constructors
Constructor and Description
`LoadTargetDefinitionJob(ITargetDefinition target)` Constructs a new operation to load the specified target definition as the current target platform.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `belongsTo(Object family)`
`static void` `load(ITargetDefinition target)` Constructs a new operation to load the specified target definition as the current target platform.
`static void` `load(ITargetDefinition target, IJobChangeListener listener)` Constructs a new operation to load the specified target definition as the current target platform.
`IStatus` `runInWorkspace(IProgressMonitor monitor)`

### Methods inherited from class org.eclipse.core.internal.resources.InternalWorkspaceJob

`run`

### Methods inherited from class org.eclipse.core.runtime.jobs.Job

`addJobChangeListener, cancel, canceling, create, create, createSystem, createSystem, createSystem, done, getJobGroup, getJobManager, getName, getPriority, getProperty, getResult, getRule, getState, getThread, isBlocking, isSystem, isUser, join, join, removeJobChangeListener, schedule, schedule, setJobGroup, setName, setPriority, setProgressGroup, setProperty, setRule, setSystem, setThread, setUser, shouldRun, shouldSchedule, sleep, toString, wakeUp, wakeUp, yieldRule`

### Methods inherited from class org.eclipse.core.internal.jobs.InternalJob

`compareTo`

### Methods inherited from class org.eclipse.core.runtime.PlatformObject

`getAdapter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Constructor Detail

#### LoadTargetDefinitionJob

    public LoadTargetDefinitionJob(ITargetDefinition target)

Constructs a new operation to load the specified target definition as the current target platform. When `null` is specified the target platform is empty and all other settings are default.

Clients should use `load(ITargetDefinition, IJobChangeListener)` instead to ensure any existing jobs are cancelled.

Parameters:
  `target` - target definition or `null` if none

### Method Detail

#### load

    public static void load(ITargetDefinition target)

Constructs a new operation to load the specified target definition as the current target platform. When `null` is specified the target platform is empty and all other settings are default. This method will cancel all existing LoadTargetDefinitionJob instances then schedules the operation as a user job.

Parameters:
  `target` - target definition or `null` if none

#### load

    public static void load(ITargetDefinition target,
                            IJobChangeListener listener)

Constructs a new operation to load the specified target definition as the current target platform. When `null` is specified the target platform is empty and all other settings are default. This method will cancel all existing LoadTargetDefinitionJob instances then schedules the operation as a user job. Adds the given listener to the job that is started.

Parameters:
  `target` - target definition or `null` if none
  `listener` - job change listener that will be added to the created job

#### belongsTo

    public boolean belongsTo(Object family)

Overrides:
  `belongsTo` in class `Job`

#### runInWorkspace

    public IStatus runInWorkspace(IProgressMonitor monitor)
                           throws CoreException

Specified by:
  `runInWorkspace` in class `WorkspaceJob`
Throws:
  `CoreException`